let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/lchidfp9g1mqg8bl2y2ra22140g6f9lq-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/94s86328ach7ln369n2z1xasa26k44v8-coreutils-8.31/bin";
  bzip2 = "/nix/store/cp327c8fkvyahzf5kxq3n1ffafxj1ixn-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/4r156ibpx3y4y4306jkrm20wnnp4dwbp-gzip-1.10/bin/gzip";
  xz = "/nix/store/6l6v513ar5j0abs4afz1bdv4nd7aqia3-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/5x8zbmnv89zlmqzr2ahmr5sbbip7si3y-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/94s86328ach7ln369n2z1xasa26k44v8-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/k80nwvi19hxwbz3c9cxgp24f1jjxwmcc-nix-2.3.3/bin";
  nixPrefix = "/nix/store/k80nwvi19hxwbz3c9cxgp24f1jjxwmcc-nix-2.3.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/k80nwvi19hxwbz3c9cxgp24f1jjxwmcc-nix-2.3.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
